.root {
  grid-area: form;
  display: flex;
  flex-direction: column;
  row-gap: 48px;
  padding-top: 47px;
  padding-bottom: 26px;
  max-width: 930px;
}

@media (min-width: 768px) {
  .root {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-areas: 
      'name requirements'
      'email phone'
      'message message'
      'agreement agreement'
      'captcha captcha'
      'button .';
    column-gap: 30px;
    row-gap: 44px;
  }
}

@media (min-width: 1280px) {
  .root {
    padding-top: 65px;
    padding-bottom: 65px;
  }
}

@media (min-width: 1680px) {
  .form {
    padding-top: 100px;
    padding-bottom: 100px;
    max-width: 690px;
  }
}


.agreementText {
  font-family: var(--font-family-open-sans);
  font-weight: 300;
  font-size: 14px;
  color: var(--color-dark);
  transition: color 0.2s ease;
}

.agreementLink {
  color: var(--color-cherry);
}

.agreementLink:hover,
.agreementLink:focus,
.agreementLink:active {
  color: var(--color-cherry-hover);
}

.field_captcha {
  grid-area: captcha;
}

.checkbox-warning input:not(:checked) + svg > path{
  stroke: red !important;
}
/*.agreement_label{
  display: flex;
  align-items: flex-start;
}
.agreement_label > span:first-child{
  flex: 0 0 53px;
  max-width: 53px;
}*/

@media (min-width: 992px) {
  .button {
    max-width: 210px;
  }
}
.form-response{
  opacity: 0;
  transition: opacity 0.2s ease-in;
}
.aborted,
.spam,
.mail_failed,
.acceptance_missing,
.validation_failed{
  display: flex;
  align-items: center;
  font-size: 14px;
  line-height: 1.5;
  padding: 0.35em 1em;
  border-radius: 2px;
  color: #721c24;
  background-color: #f8d7da;
  border-color: #f5c6cb;
  overflow: hidden;
  min-height: 4rem;
  opacity: 1;
}
.resetting
.submitting{
  display: flex;
  align-items: center;
  font-size: 14px;
  line-height: 1.5;
  padding: 0.35em 1em;
  border-radius: 2px;
  color: #856404;
  border: 1px solid #ffeeba;
  background-color: #fff3cd;
  overflow: hidden;
  min-height: 4rem;
  opacity: 1;
}

.mail_sent{
  display: flex;
  align-items: center;
  font-size: 14px;
  line-height: 1.5;
  padding: 0.35em 1em;
  border-radius: 2px;
  color: #155724;
  background-color: #d4edda;
  border-color: #c3e6cb;
  overflow: hidden;
  min-height: 4rem;
  opacity: 1;
}
